aid_mgmnt_tasks_post
curl --request POST \
--url https://api.dintero.com/v1/accounts/{oid}/management/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "payout_destination_backfill",
"account_ids": [
"P55500000",
"P82500000"
]
}
'import requests
url = "https://api.dintero.com/v1/accounts/{oid}/management/tasks"
payload = {
"type": "payout_destination_backfill",
"account_ids": ["P55500000", "P82500000"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: 'payout_destination_backfill', account_ids: ['P55500000', 'P82500000']})
};
fetch('https://api.dintero.com/v1/accounts/{oid}/management/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dintero.com/v1/accounts/{oid}/management/tasks"
payload := strings.NewReader("{\n \"type\": \"payout_destination_backfill\",\n \"account_ids\": [\n \"P55500000\",\n \"P82500000\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.dintero.com/v1/accounts/{oid}/management/tasks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"payout_destination_backfill\",\n \"account_ids\": [\n \"P55500000\",\n \"P82500000\"\n ]\n}")
.asString();{
"tasks": [
{
"id": "T55500000.task.JR97L9E",
"type": "payout_destination_backfill",
"account_id": "P55500000",
"status": "pending",
"attempts": 1,
"group_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"result": {},
"error": {
"code": "entity_mismatch",
"message": "2 of 5 projections failed"
},
"updated_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
}
],
"starting_after": "T55500000.task.JR97L9E"
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}admin-tasks
Create administrative tasks
POST
https://api.dintero.com/v1
/
accounts
/
{oid}
/
management
/
tasks
aid_mgmnt_tasks_post
curl --request POST \
--url https://api.dintero.com/v1/accounts/{oid}/management/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "payout_destination_backfill",
"account_ids": [
"P55500000",
"P82500000"
]
}
'import requests
url = "https://api.dintero.com/v1/accounts/{oid}/management/tasks"
payload = {
"type": "payout_destination_backfill",
"account_ids": ["P55500000", "P82500000"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: 'payout_destination_backfill', account_ids: ['P55500000', 'P82500000']})
};
fetch('https://api.dintero.com/v1/accounts/{oid}/management/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dintero.com/v1/accounts/{oid}/management/tasks"
payload := strings.NewReader("{\n \"type\": \"payout_destination_backfill\",\n \"account_ids\": [\n \"P55500000\",\n \"P82500000\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.dintero.com/v1/accounts/{oid}/management/tasks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"payout_destination_backfill\",\n \"account_ids\": [\n \"P55500000\",\n \"P82500000\"\n ]\n}")
.asString();{
"tasks": [
{
"id": "T55500000.task.JR97L9E",
"type": "payout_destination_backfill",
"account_id": "P55500000",
"status": "pending",
"attempts": 1,
"group_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"result": {},
"error": {
"code": "entity_mismatch",
"message": "2 of 5 projections failed"
},
"updated_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
}
],
"starting_after": "T55500000.task.JR97L9E"
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}Authorizations
Bearer authentication (token authentication) should be used for accessing the API.
Use Get Token to get an access token for client credentials. Pass the token in the request header:
Authorization: Bearer {access_token}
where the access_token is JSON Web Tokens (JWT).
Path Parameters
An id that uniquely identifies the account or owner (partner)
Query Parameters
Body
application/json
Last modified on August 21, 2026
⌘I